> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign up a new donor



## OpenAPI

````yaml get /frontend/signup_donor/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/signup_donor/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Donor SignUp
      summary: Sign up a new donor
      operationId: 5b6cbbd5b65a3a25a61456bf7a1ff20c
      parameters:
        - name: client_id
          in: path
          description: The id of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The id of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The id of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  data:
                    properties:
                      session_id:
                        type: string
                      client_id:
                        type: integer
                      program_id:
                        type: integer
                      fields:
                        type: array
                        items:
                          type: object
                    type: object
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                type: object

````